cascading.flow.hadoop.planner.rule.partitioner

## Class StreamedAccumulatedTapsHashJoinPipelinePartitioner

- java.lang.Object
- - cascading.flow.planner.rule.RulePartitioner
  - - cascading.flow.planner.rule.partitioner.ExpressionRulePartitioner
    - - cascading.flow.hadoop.planner.rule.partitioner.StreamedAccumulatedTapsHashJoinPipelinePartitioner

- All Implemented Interfaces:
    Rule

      public class StreamedAccumulatedTapsHashJoinPipelinePartitioner
      extends ExpressionRulePartitioner

  This rule accounts for a Tap marked as both streamed and accumulated, but is streamed in one pipeline and accumulated in another pipeline.

  The rule leverages the ability to not capture some matched edges, that represent paths that should not be included in the result pipeline.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.rule.RulePartitioner

      `RulePartitioner.PartitionSource`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.RulePartitioner

      `graphPartitioner, logLevel, partitionSource, phase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamedAccumulatedTapsHashJoinPipelinePartitioner()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.partitioner.ExpressionRulePartitioner

      `addAnnotation, addAnnotationExclude, createExpressionGraphPartitioner, getAnnotationExcludes, setAnnotationExcludes, setAnnotations, setPhase, setRuleExpression`

    - ### Methods inherited from class cascading.flow.planner.rule.RulePartitioner

      `getGraphPartitioner, getPartitionSource, getRuleName, getRulePhase, partition, partition, performPartition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamedAccumulatedTapsHashJoinPipelinePartitioner

          public StreamedAccumulatedTapsHashJoinPipelinePartitioner()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.